#!/usr/bin/perl 

# Replace '/usr/local/nagios/libexec/check_nt' with the localtion where your check_nt binary is located 

$CheckNTPath='/opt/nagios/libexec';

$BlockListDNSQueriesIssued       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Block List DNS Queries Issued"`; 
chomp $BlockListDNSQueriesIssued; 
$RecipientsRejectedbyDirectoryLookups       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Recipients Rejectedby Directory Lookups"`; 
chomp $RecipientsRejectedbyDirectoryLookups; 
$RecipientsinConnectionFilteringExceptionList       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Recipients in Connection Filtering Exception List"`; 
chomp $RecipientsinConnectionFilteringExceptionList; 
$MessagesFilteredDuetoBlankSender       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Messages Filtered Due to Blank Sender"`; 
chomp $MessagesFilteredDuetoBlankSender; 
$MessagesFilteredbySenderFiltering       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Messages Filtered by Sender Filtering"`; 
chomp $MessagesFilteredbySenderFiltering; 
$FailedDirectoryLookups       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Failed Directory Lookups"`; 
chomp $FailedDirectoryLookups; 
$FailedBlockListDNSQueries       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Failed Block List DNS Queries"`; 
chomp $FailedBlockListDNSQueries; 
$DirectoryLookupsIssued       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Directory Lookups Issued"`; 
chomp $DirectoryLookupsIssued; 
$ConnectionsRejectedbyDenyList       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Connections Rejected by Deny List"`; 
chomp $ConnectionsRejectedbyDenyList; 
$ConnectionsRejectedbyBlockListProviders       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Connections Rejected by Block List Providers"`; 
chomp $ConnectionsRejectedbyBlockListProviders; 
$ConnectionsAcceptedbyAcceptList       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Connections Accepted by Accept List"`; 
chomp $ConnectionsAcceptedbyAcceptList; 
$RecipientsRejectedbyRecipientFiltering       = `$CheckNTPath/check_nt -H $ARGV[0] -p 1248 -v COUNTER -l "\\MSExchangeTransport Filter Sink(_Total)\\Recipients Rejected by Recipient Filtering"`; 
chomp $RecipientsRejectedbyRecipientFiltering;

print "BlockListDNSQueriesIssued:" . $BlockListDNSQueriesIssued .
" RecipientsRejectedbyDirectoryLookups:" . $RecipientsRejectedbyDirectoryLookups .
" RecipientsinConnectionFilteringExceptionList:" . $RecipientsinConnectionFilteringExceptionList .
" MessagesFilteredDuetoBlankSender:" . $MessagesFilteredDuetoBlankSender .
" MessagesFilteredbySenderFiltering:" . $MessagesFilteredbySenderFiltering .
" FailedDirectoryLookups:" . $FailedDirectoryLookups .
" FailedBlockListDNSQueries:" . $FailedBlockListDNSQueries .
" DirectoryLookupsIssued:" . $DirectoryLookupsIssued .
" ConnectionsRejectedbyDenyList:" . $ConnectionsRejectedbyDenyList .
" ConnectionsRejectedbyBlockListProviders:" . $ConnectionsRejectedbyBlockListProviders .
" ConnectionsAcceptedbyAcceptList:" . $ConnectionsAcceptedbyAcceptList .
" RecipientsRejectedbyRecipientFiltering:" . $RecipientsRejectedbyRecipientFiltering .
"\n";
